AddEmail
POST
/auth/v1/users/current/emailsRequest Body
requiredapplication/json{
"$ref": "#/components/schemas/auth.v1.AddEmailRequest",
"$ref-value": {
"type": "object",
"properties": {
"user_id": {
"type": "string",
"title": "user_id"
},
"email": {
"type": "string",
"title": "email"
}
},
"title": "AddEmailRequest",
"additionalProperties": false
}
}Response Body
200application/json
Success
type: unknown
{
"$ref": "#/components/schemas/auth.v1.VerificationSentResponse",
"$ref-value": {
"type": "object",
"properties": {
"message": {
"type": "string",
"title": "message"
},
"code_sent": {
"type": "boolean",
"title": "code_sent"
},
"can_resend_at": {
"type": "string",
"title": "can_resend_at"
},
"verification_id": {
"type": "string",
"title": "verification_id"
}
},
"title": "VerificationSentResponse",
"additionalProperties": false
}
}curl -X POST "https://api.rixl.com/auth/v1/users/current/emails" \
-H "Content-Type: application/json" \
-d '{}'Success
application/json
{
"$ref": "#/components/schemas/auth.v1.VerificationSentResponse",
"$ref-value": {
"type": "object",
"properties": {
"message": {
"type": "string",
"title": "message"
},
"code_sent": {
"type": "boolean",
"title": "code_sent"
},
"can_resend_at": {
"type": "string",
"title": "can_resend_at"
},
"verification_id": {
"type": "string",
"title": "verification_id"
}
},
"title": "VerificationSentResponse",
"additionalProperties": false
}
}